/**
Class: Form
	   This generates the GUI for changing details before dispatching an agent
  */

import java.awt.*;
import java.awt.event.*;
import java.awt.swing.*;
import java.awt.swing.event.*;

public class Form extends JFrame implements ActionListener
{
	Container c;

	String lastName = null;
	String firstName = null;
	String organisation = null;
	String bankAccountNo = null;
	String phoneAccountNo = null;
	String address = null;

    JTextField tlname = new JTextField();
    JTextField tfname = new JTextField();
	JTextField toname = new JTextField();
    JTextField tbname = new JTextField();
    JTextField tpname = new JTextField();
	JTextField taccname=new JTextField();

   // Instantiate a new TextArea
    JTextArea ta = new JTextArea();     


	// constructor
	public Form()
	{
		super("Enter Details");


		JPanel myPanel = new JPanel();
		myPanel.setLayout(new GridLayout(7,2));
		
		Font lfont = new Font("Arial", Font.ITALIC , 22); 
		JLabel lname = new JLabel("Last Name: "); 
		lname.setFont(lfont);
        lname.setHorizontalAlignment(JLabel.LEFT); 

		JLabel fname = new JLabel("First Name: "); 
		fname.setFont(lfont);
        fname.setHorizontalAlignment(JLabel.LEFT); 

		JLabel oname = new JLabel("Organisation: "); 
		oname.setFont(lfont);
        oname.setHorizontalAlignment(JLabel.LEFT); 

		JLabel bname = new JLabel("Bank A/C No: "); 
		bname.setFont(lfont);
        bname.setHorizontalAlignment(JLabel.LEFT); 

		JLabel pname = new JLabel("Phone A/C No: "); 
		pname.setFont(lfont);
        pname.setHorizontalAlignment(JLabel.LEFT); 

		JLabel accname = new JLabel("Amount: "); 
		accname.setFont(lfont);
        pname.setHorizontalAlignment(JLabel.LEFT); 
		
		JLabel aname = new JLabel("Address: "); 
		aname.setFont(lfont);
        aname.setHorizontalAlignment(JLabel.LEFT); 


		myPanel.add(lname);
		myPanel.add(tlname);
		myPanel.add(fname);
		myPanel.add(tfname);
		myPanel.add(oname);
		myPanel.add(toname);
		myPanel.add(bname);
		myPanel.add(tbname);
		myPanel.add(pname);
		myPanel.add(tpname);
		myPanel.add(accname);
		myPanel.add(taccname);
		
		myPanel.add(aname);
		myPanel.add(ta);

		
		JButton ok = new JButton("OK");
		ok.setActionCommand("OK");
		ok.setBackground(SystemColor.control);
		ok.addActionListener(this);
		JButton cancel = new JButton("Cancel");
		cancel.addActionListener(this);
		
		Container c = this.getContentPane();
		c.setLayout(new FlowLayout());

		setSize(new Dimension(350,250));
		setVisible(true);

		c.add(myPanel);
		c.add(ok);
		c.add(cancel);

		show();
	}

	//Update the necessary fields on clicking OK
	public void actionPerformed(ActionEvent evt)
	{
		String text;
		String cmmd=evt.getActionCommand();
		if (cmmd.equals("OK"))
		{
			System.out.println("OK");
			text=tlname.getText();
			if (!(text.equals(""))&&!(text.equals(null))) GlobalValues.lname = text;
			text= tfname.getText();
			if (!(text.equals(""))&&!(text.equals(null))) GlobalValues.fname = text;
			text= toname.getText();
			if (!(text.equals(""))&&!(text.equals(null))) GlobalValues.agentOrganization = text;
			text=tbname.getText();
			if (!(text.equals(""))&&!(text.equals(null))) GlobalValues.bankAccountNumber = text;
			text= tpname.getText();
			if (!(text.equals(""))&&!(text.equals(null))) GlobalValues.telecomAccountNumber = text;
			text=taccname.getText();
			if (!(text.equals(""))&&!(text.equals(null))) 
			{
				Double db=null;
				try
				{
					db=new Double(text);
				}
				catch (NumberFormatException e)
				{
					db=new Double(0);
				}

				GlobalValues.transferAmount = db.doubleValue();
				
			}
			text=ta.getText();
			if (!(text.equals(""))&&!(text.equals(""))) GlobalValues.address = text;
			this.dispose();
		}

		else if (cmmd.equals("Cancel"))
		{
			this.dispose();
		}
	}
}





	


















