/**
Class AgentInitializer: This class initializes MyAgent object and puts all the required values in it
*/
import java.util.*;

public class AgentInitializer
{
	MyAgent agent;
	Vector listOfHosts;
	
	public AgentInitializer(MyAgent agent)
	{
		this.agent=agent;
		listOfHosts=new Vector();
		setDefaultValues();
	}

	private void setDefaultValues()
	{
		// Initialize the list of hosts vector of this class
		try
		{
			listOfHosts.addElement(GlobalValues.telephoneCompanyIPAddress);
			listOfHosts.addElement(GlobalValues.bankIPAddress);
			listOfHosts.addElement(GlobalValues.myIPAddress);
		}
		catch (ArrayIndexOutOfBoundsException e)
		{
			System.out.println("Array Index Out of Bounds Exception");
		}

		// Copy this vector to the agent body
		agent.agentHostList=this.listOfHosts;
		agent.agentOriginLocation=GlobalValues.myIPAddress;
		agent.agentOrganization=GlobalValues.agentOrganization;
		
	}

	public void changeHostVector()
	{}

}





