/** 
Class AgentProgress: This class shows the progress of the incoming agent graphically
*/
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.swing.*;
import java.awt.swing.event.*;

public class AgentProgress extends JFrame implements ActionListener
{


	JLabel label=new JLabel(""); 
	JLabel label1=new JLabel(""); 
	JLabel label2=new JLabel(""); 
	JLabel label3=new JLabel(""); 
	ImageIcon aiaIcon = new ImageIcon("aaia.gif");
	ImageIcon aathIcon = new ImageIcon("aaa.gif");
	ImageIcon aafIcon = new ImageIcon("aaf.gif");
	ImageIcon aaIcon = new ImageIcon("aaarr.gif");
	ImageIcon saaIcon = new ImageIcon("asaa.gif");


	public AgentProgress() {
		super();
		setSize(new Dimension(300,200));
		setVisible(true);
		display();
	}

	public void display() {
		JPanel myPanel=new JPanel();
		myPanel.setBackground(Color.white);
		myPanel.setLayout(new GridLayout(5,1));
		ImageIcon baiaIcon = new ImageIcon("baia.gif"); 
		label.setIcon(baiaIcon);
        label.setHorizontalAlignment(JLabel.LEFT); 

		ImageIcon baaIcon = new ImageIcon("baa.gif"); 
		label1.setIcon(baaIcon);
        label1.setHorizontalAlignment(JLabel.LEFT); 

		ImageIcon baIcon = new ImageIcon("baarr.gif"); 
		label2.setIcon(baIcon);
        label2.setHorizontalAlignment(JLabel.LEFT);

		ImageIcon bsaaIcon = new ImageIcon("bsaa.gif"); 
		label3.setIcon(bsaaIcon);
        label3.setHorizontalAlignment(JLabel.LEFT);

		JButton close = new JButton("Close");
		close.addActionListener(this);

		myPanel.add(label);
		myPanel.add(label2);
		myPanel.add(label1);
		myPanel.add(label3);

		Container c = getContentPane();
		c.setLayout(new BorderLayout());
		c.add(myPanel, BorderLayout.CENTER);
		show();
	}

	public void agentIdentityArrived()
	{
			label.setIcon(aiaIcon);		
	}

	// Agent is authenticated
	public void agentAuthenticated()
	{
			label1.setIcon(aathIcon);		
	}

	// Agent arrival
	public void agentArrived()
	{
			label2.setIcon(aaIcon);		
	}

	// Agent "start" method is called to start the agent thread
	public void agentStarted()
	{
			label3.setIcon(saaIcon);
			try
			{
				Thread.sleep(2000);
			}
			catch (InterruptedException e)
			{
			}
			this.dispose();
	}

	public void agentStopped()
	{
	}

	// Agent Authentication failed
	public void agentAuthenticationFailed()
	{
			label1.setIcon(aafIcon);
			try
			{
				Thread.sleep(2000);
			}
			catch (InterruptedException e)
			{
			}
			this.dispose();
	}

	public void actionPerformed(ActionEvent e)
	{
		String cmd = e.getActionCommand();
		if (e.equals("Close"))
		{
			dispose();
		}
	}
}