/**
 Class: AgentServer: Starts the agent server and listens for incoming agent transfer requests
 */

public class AgentServer
{
	IncomingAgentMonitor requestMonitor;
	AgentServerGUI gui;
	boolean showEvents;
	boolean askDispatch;

	// constructor
	public AgentServer(AgentServerGUI gui, boolean askDispatch ,boolean showEvents)
	{
		this.gui=gui;
		this.showEvents=showEvents;
		this.askDispatch=askDispatch;
		gui.showErrorMessage("Agent Server Initializing...");

		// Initialize ans start the incoming request handler in a separate thread
		requestMonitor=new IncomingAgentMonitor(gui, showEvents, askDispatch);
		requestMonitor.start();
	}
}